/*
    Introduction to OOP with Java (5th Ed), McGraw-Hill

    Wu/Otani

    Chapter 12 Sample Program: The class that provides the
                                file I/O for AddressBook (Step 1)

    File: Step1/AddressBookStorage.java
*/

/**
 * This class provides a file i/o capability to save
 * and load the AddressBook object.
 */
class AddressBookStorage {

//--------------------------------
//    Data Members
//--------------------------------

    /**
     * The name of the file where an AddressBook is stored
     */
   private String filename;

//--------------------------------
//    Constructors
//--------------------------------

    /**
     * Default constructor.
     */
   public AddressBookStorage (String filename) {
      setFile(filename);
   }

//-------------------------------------------------
//      Public Methods:
//
//          void    setFile       (   String     )
//
//------------------------------------------------

    /**
     *
     *
     * @param filename the name of the file to store
     *        an AddressBook object
     */
   public void setFile(String filename) {
      this.filename = filename;
      System.out.println("Inside setFile. Filename is " + filename); //TEMP
   }

}